Debian Bug report logs - #518230
ITP: nbc -- Compiler for LEGO Mindstorms NXT

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Reichel <elektranox@gmail.com>

Date: Wed, 4 Mar 2009 22:06:02 UTC

Owned by: Slavko <linux@slavino.sk>

Severity: wishlist

Fixed in version nbc/1.2.1.r4+dfsg-1

Done: Slavko <linux@slavino.sk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, elektranox@gmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#518230; Package wnpp. (Wed, 04 Mar 2009 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <elektranox@gmail.com>:
New Bug report received and forwarded. Copy sent to elektranox@gmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>. (Wed, 04 Mar 2009 22:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <elektranox@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: nbc -- Compiler for LEGO Mindstorms NXT
Date: Wed, 04 Mar 2009 22:55:59 +0100
Package: wnpp
Severity: wishlist
Owner: Sebastian Reichel <elektranox@gmail.com>

* Package name    : nbc
  Version         : 1.0.1.b35
  Upstream Author : John Hansen <bricxcc@comcast.net>
* URL             : http://bricxcc.sourceforge.net/nbc/
* License         : MPL
  Programming Lang: Pascal
  Description     : Compiler for LEGO Mindstorms NXT

Next Byte Codes (NBC) is a simple language with an assembly language syntax
that can be used to program LEGO's NXT programmable brick (from the new
LEGO Mindstorms NXT set).

Not eXactly C (NXC) is a high level language, similar to C, built on top of
the NBC compiler. It can also be used to program the NXT brick. NXC is
basically NQC for the NXT. To compile NXC programs just use the NBC compiler
from this package with source code files that have a .nxc file extension.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing'), (400, 'unstable'), (300, 'experimental')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Reichel <elektranox@gmail.com>:
Bug#518230; Package wnpp. (Tue, 25 May 2010 17:12:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Reichel <elektranox@gmail.com>. (Tue, 25 May 2010 17:12:38 GMT) Full text and rfc822 format available.

Message #10 received at 518230@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 518230@bugs.debian.org
Cc: control@bugs.debian.org
Subject: nbc: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:34 +0000
retitle 518230 RFP: nbc -- Compiler for LEGO Mindstorms NXT
noowner 518230
thanks

Hi,

This is an automatic email to change the status of nbc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting nbc, please send a mail to
<control@bugs.debian.org> with:

 retitle 518230 ITP: nbc -- Compiler for LEGO Mindstorms NXT
 owner 518230 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <518230@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: nbc -- Compiler for LEGO Mindstorms NXT' from 'ITP: nbc -- Compiler for LEGO Mindstorms NXT' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:19:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Sebastian Reichel <elektranox@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:19:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#518230; Package wnpp. (Sun, 27 Mar 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steinar Bang <sb@dod.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Mar 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 518230@bugs.debian.org (full text, mbox):

From: Steinar Bang <sb@dod.no>
To: 518230@bugs.debian.org
Subject: Would be nice to see NBC packaged for debian
Date: Sun, 27 Mar 2011 18:33:32 +0200
Just took a quick google today to see if anyone have packaged NBC for
debian.  What I found was this one, which I guess is closed.

I would just like to record that there is at least one user for the
package if it's packaged, ie. me. :-)




Changed Bug title to 'ITP: nbc -- Compiler for LEGO Mindstorms NXT' from 'RFP: nbc -- Compiler for LEGO Mindstorms NXT' Request was from Slavko <linux@slavino.sk> to control@bugs.debian.org. (Sat, 24 Dec 2011 07:42:02 GMT) Full text and rfc822 format available.

Owner recorded as Slavko <linux@slavino.sk>. Request was from Slavko <linux@slavino.sk> to control@bugs.debian.org. (Sat, 24 Dec 2011 07:42:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 518230: 660314 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sun, 26 Feb 2012 21:33:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Slavko <linux@slavino.sk>:
Bug#518230; Package wnpp. (Tue, 01 Jan 2013 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Slavko <linux@slavino.sk>. (Tue, 01 Jan 2013 07:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 518230@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 518230@bugs.debian.org, 660314@bugs.debian.org
Subject: Draft packages for nbc available
Date: Tue, 01 Jan 2013 08:20:24 +0100
I was just told that Slavko provide draft packages for nbc and other
LEGO related packages at
<URL: http://debs.slavino.sk/files-stable.php > and
<URL: http://debs.slavino.sk/files-testing.php >.  The packages missing
from mentors are available there.  I hope to sponsor his packages into
the archive.

-- 
Happy hacking
Petter Reinholdtsen



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 02 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Slavko <linux@slavino.sk>:
You have taken responsibility. (Wed, 03 Apr 2013 19:03:07 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Reichel <elektranox@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 19:03:07 GMT) Full text and rfc822 format available.

Message #37 received at 518230-close@bugs.debian.org (full text, mbox):

From: Slavko <linux@slavino.sk>
To: 518230-close@bugs.debian.org
Subject: Bug#518230: fixed in nbc 1.2.1.r4+dfsg-1
Date: Wed, 03 Apr 2013 19:00:05 +0000
Source: nbc
Source-Version: 1.2.1.r4+dfsg-1

We believe that the bug you reported is fixed in the latest version of
nbc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 518230@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Slavko <linux@slavino.sk> (supplier of updated nbc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 11:35:46 +0100
Source: nbc
Binary: nbc
Architecture: source i386
Version: 1.2.1.r4+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Slavko <linux@slavino.sk>
Changed-By: Slavko <linux@slavino.sk>
Description: 
 nbc        - Compiler for LEGO Mindstorms NXT bricks
Closes: 518230 660314
Changes: 
 nbc (1.2.1.r4+dfsg-1) unstable; urgency=low
 .
   * added patch to fix clean target nbcunix.mak (thanks to Petter Reinholdtsen)
   * improved rules file and removed the 10-add_makefile.patch patch
     as unnecessary (thanks to Petter Reinholdtsen)
   * added hardenning option into nbcunix.mak to patch
   * changed the standards version to 3.9.4 (no other changes)
   * changed copyright format uri to versioned one
   * added patch to solve spelling errors
   * added LEGO in short description to better description
   * install rules file by dh_installudev
   * moved nbc.1 from patch to debian/ directory and added license item
     in copyright file for it
   * changed license of the debian/* files to MPL, to simplify licencing
   * removed png/* from source; because uncluean license and while it is not
     necessary in Linux release
   * removed GIFImage.pas from source; because DFSG violation and while it is not
     necessary in Linux release
   * upload sponsored by Petter Reinholdtsen
   * initial Debian release (Closes: #518230, #660314)
Checksums-Sha1: 
 9eafb67986d91bfe1bcd43ea638b8070854c29b7 1103 nbc_1.2.1.r4+dfsg-1.dsc
 02194981ce3ad67a5a1fd8ab86c16c74c2001589 530535 nbc_1.2.1.r4+dfsg.orig.tar.gz
 5e07b7c836266f2928f5da473c9b905b2b558c85 5784 nbc_1.2.1.r4+dfsg-1.debian.tar.gz
 6223afab4f2699e261cc6e3f8db607c224da797c 855206 nbc_1.2.1.r4+dfsg-1_i386.deb
Checksums-Sha256: 
 28c627b6221e1ae24add884672e2122f012d8879517153f0d80703b4fddfa10c 1103 nbc_1.2.1.r4+dfsg-1.dsc
 3c92d789865a04c1e72e9ad274635b50d34b4c010fcd11e55d03c5620c3363a8 530535 nbc_1.2.1.r4+dfsg.orig.tar.gz
 a610db56ccfb348e633b59afda6c473a897ea3c82bedaceca508128d25470168 5784 nbc_1.2.1.r4+dfsg-1.debian.tar.gz
 5426cd46aa3c579e88434bea688f4837b11bdd409d50cbdf36c5ff1491be4be5 855206 nbc_1.2.1.r4+dfsg-1_i386.deb
Files: 
 e84bfe388d55b29df8a59768eaff221a 1103 electronics extra nbc_1.2.1.r4+dfsg-1.dsc
 0c4c0dfd45c451b90d66a26035a79ecb 530535 electronics extra nbc_1.2.1.r4+dfsg.orig.tar.gz
 fd6b2fc3a4ae6bfc3fd98f82d337d13d 5784 electronics extra nbc_1.2.1.r4+dfsg-1.debian.tar.gz
 5809791deab8f3ee3afc286ccffb5d48 855206 electronics extra nbc_1.2.1.r4+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFQ5Bol20zMSyow1ykRAhVAAJ9ni1lumbST+G602XWX7eCSklM4ZACfVkiR
MbMnBGwQ9rN2wHHEgBnrcDo=
=W0pI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:42:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.